Package org.apache.sling.servlets.resolver.internal.resource

# Class MergingServletResourceProvider

java.lang.Object
org.apache.sling.spi.resource.provider.ResourceProvider<Object>
org.apache.sling.servlets.resolver.internal.resource.MergingServletResourceProvider

public class MergingServletResourceProvider extends org.apache.sling.spi.resource.provider.ResourceProvider<Object>

## Field Summary

### Fields inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`AUTH_ADMIN, AUTH_CLONE, AUTH_SERVICE_BUNDLE, AUTHENTICATE_LAZY, AUTHENTICATE_NO, AUTHENTICATE_REQUIRED, MODE_OVERLAY, MODE_PASSTHROUGH, PROPERTY_ADAPTABLE, PROPERTY_ATTRIBUTABLE, PROPERTY_AUTHENTICATE, PROPERTY_MODE, PROPERTY_MODIFIABLE, PROPERTY_NAME, PROPERTY_REFRESHABLE, PROPERTY_ROOT, PROPERTY_USE_RESOURCE_ACCESS_SECURITY, RESOURCE_TYPE_SYNTHETIC`

## Constructor Summary

Constructors
Constructor
Description
`MergingServletResourceProvider()`

## Method Summary

Modifier and Type
Method
Description
`@Nullable org.apache.sling.api.resource.Resource`
`getResource(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<Object> resolveContext, @NotNull String s, @NotNull org.apache.sling.spi.resource.provider.ResourceContext resourceContext, @Nullable org.apache.sling.api.resource.Resource resource)`
`org.apache.sling.api.resource.Resource`
`getResource(org.apache.sling.spi.resource.provider.ResolveContext resolveContext, String path)`
`boolean`
`isRootOf(String path)`
`Iterator<org.apache.sling.api.resource.Resource>`
`listChildren(org.apache.sling.spi.resource.provider.ResolveContext ctx, org.apache.sling.api.resource.Resource parent)`

### Methods inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`adaptTo, authenticate, commit, copy, create, delete, getAttribute, getAttributeNames, getParent, getProviderContext, getQueryLanguageProvider, hasChanges, isLive, logout, move, orderBefore, refresh, revert, start, stop, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergingServletResourceProvider

public MergingServletResourceProvider()

## Method Details

### isRootOf

public boolean isRootOf(String path)

### getResource

@Nullable public @Nullable org.apache.sling.api.resource.Resource getResource(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<Object> resolveContext, @NotNull @NotNull String s, @NotNull @NotNull org.apache.sling.spi.resource.provider.ResourceContext resourceContext, @Nullable @Nullable org.apache.sling.api.resource.Resource resource)

Specified by:
  `getResource` in class `org.apache.sling.spi.resource.provider.ResourceProvider<Object>`

### getResource

public org.apache.sling.api.resource.Resource getResource(org.apache.sling.spi.resource.provider.ResolveContext resolveContext, String path)

### listChildren

public Iterator<org.apache.sling.api.resource.Resource> listChildren(org.apache.sling.spi.resource.provider.ResolveContext ctx, org.apache.sling.api.resource.Resource parent)

Specified by:
  `listChildren` in class `org.apache.sling.spi.resource.provider.ResourceProvider<Object>`